AbstractGriffonArtifact (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractGriffonArtifact

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.griffon.runtime.core.AbstractGriffonArtifact

All Implemented Interfaces:
  GriffonArtifact

    public abstract class AbstractGriffonArtifact
    extends GroovyObjectSupport

Base implementation of the GriffonArtifact interface.

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary
`private GriffonApplication` | `app`
`private org.slf4j.Logger` | `log`
`private ResourceLocator` | `resourceLocator`

Constructor Summary
`AbstractGriffonArtifact()`

Method Summary
`MVCGroup` | `buildMVCGroup(String mvcType)`
`MVCGroup` | `buildMVCGroup(String mvcType, String mvcName)`
`MVCGroup` | `buildMVCGroup(Map args, String mvcType)`
`MVCGroup` | `buildMVCGroup(String mvcType, Map args)`
`MVCGroup` | `buildMVCGroup(Map args, String mvcType, String mvcName)`
`MVCGroup` | `buildMVCGroup(String mvcType, String mvcName, Map args)`
`List` | `createMVCGroup(String mvcType)`
`List` | `createMVCGroup(Map args, String mvcType)`
`List` | `createMVCGroup(String mvcType, Map args)`
`List` | `createMVCGroup(String mvcType, String mvcName)`
`List` | `createMVCGroup(Map args, String mvcType, String mvcName)`
`List` | `createMVCGroup(String mvcType, String mvcName, Map args)`
`void` | `destroyMVCGroup(String mvcName)`
`void` | `execAsync(Runnable runnable)`
`Future` | `execFuture(ExecutorService executorService, Closure closure)`
`Future` | `execFuture(Closure closure)`
`Future` | `execFuture(ExecutorService executorService, Callable callable)`
`Future` | `execFuture(Callable callable)`
`void` | `execInsideUIAsync(Runnable runnable)`
`void` | `execInsideUISync(Runnable runnable)`
`void` | `execOutside(Runnable runnable)`
`void` | `execOutsideUI(Runnable runnable)`
`void` | `execSync(Runnable runnable)`
`GriffonApplication` | `getApp()`
`protected String` | `getArtifactType()`
`GriffonClass` | `getGriffonClass()`
`org.slf4j.Logger` | `getLog()`
`MetaClass` | `getMetaClass()`
`InputStream` | `getResourceAsStream(String name)`
`URL` | `getResourceAsURL(String name)`
`List` | `getResources(String name)`
`boolean` | `isUIThread()`
`static MetaClass` | `metaClassOf(GriffonArtifact artifact)`
`Object` | `newInstance(Class clazz, String type)`
`void` | `setApp(GriffonApplication app)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `withMVCGroup(String mvcType, Closure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Closure handler)`
`void` | `withMVCGroup(String mvcType, Map args, Closure handler)`
`void` | `withMVCGroup(Map args, String mvcType, Closure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Map args, Closure handler)`
`void` | `withMVCGroup(Map args, String mvcType, String mvcName, Closure handler)`
`void` | `withMVCGroup(String mvcType, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, Map args, MVCClosure handler)`
`void` | `withMVCGroup(Map args, String mvcType, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Map args, MVCClosure handler)`
`void` | `withMVCGroup(Map args, String mvcType, String mvcName, MVCClosure handler)`

Methods inherited from class GroovyObjectSupport
setProperty, getProperty, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### app

    private GriffonApplication app

### log

    private final org.slf4j.Logger log

### resourceLocator

    private final ResourceLocator resourceLocator

Constructor Detail

### AbstractGriffonArtifact

    public AbstractGriffonArtifact()

Method Detail

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, String mvcName)

### buildMVCGroup

    public MVCGroup buildMVCGroup(Map args, String mvcType)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, Map args)

### buildMVCGroup

    public MVCGroup buildMVCGroup(Map args, String mvcType, String mvcName)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, String mvcName, Map args)

### createMVCGroup

    public List createMVCGroup(String mvcType)

### createMVCGroup

    public List createMVCGroup(Map args, String mvcType)

### createMVCGroup

    public List createMVCGroup(String mvcType, Map args)

### createMVCGroup

    public List createMVCGroup(String mvcType, String mvcName)

### createMVCGroup

    public List createMVCGroup(Map args, String mvcType, String mvcName)

### createMVCGroup

    public List createMVCGroup(String mvcType, String mvcName, Map args)

### destroyMVCGroup

    public void destroyMVCGroup(String mvcName)

### execAsync

    public void execAsync(Runnable runnable)

### execFuture

    public Future execFuture(ExecutorService executorService, Closure closure)

### execFuture

    public Future execFuture(Closure closure)

### execFuture

    public Future execFuture(ExecutorService executorService, Callable callable)

### execFuture

    public Future execFuture(Callable callable)

### execInsideUIAsync

    public void execInsideUIAsync(Runnable runnable)

### execInsideUISync

    public void execInsideUISync(Runnable runnable)

### execOutside

    public void execOutside(Runnable runnable)

### execOutsideUI

    public void execOutsideUI(Runnable runnable)

### execSync

    public void execSync(Runnable runnable)

### getApp

    public GriffonApplication getApp()

### getArtifactType

    protected String getArtifactType()

### getGriffonClass

    public GriffonClass getGriffonClass()

### getLog

    public org.slf4j.Logger getLog()

### getMetaClass

    public MetaClass getMetaClass()

### getResourceAsStream

    public InputStream getResourceAsStream(String name)

### getResourceAsURL

    public URL getResourceAsURL(String name)

### getResources

    public List getResources(String name)

### isUIThread

    public boolean isUIThread()

### metaClassOf

    public static MetaClass metaClassOf(GriffonArtifact artifact)

### newInstance

    public Object newInstance(Class clazz, String type)

### setApp

    public void setApp(GriffonApplication app)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### withMVCGroup

    public void withMVCGroup(String mvcType, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, Map args, Closure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Map args, Closure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, String mvcName, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, Map args, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Map args, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, String mvcName, MVCClosure handler)

Groovy Documentation